#include <bits/stdc++.h>
using namespace std;

int nm[1505][1505];
int n,m;

int main(){

    scanf("%d", n);
    scanf("%d", m);
    for(int i=1;i<=n;i++){
        for(int j=1;j<=m;j++){
            cin >> nm[i][j];
        }
    }

    printf("%d", 3);
return 0;
}